Summary: A php library to work with Japanese strings.
Name: php4_jstring
Epoch: 1
Version: 0.9.0
Release: 3
Copyright: GPL
Group: System/Libraries
Source: ftp://night.fminn.nagano.nagano.jp/php4_jstring-20010205.tar.gz
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root

%description
Provides many useful functions for modifying the encodings of Japanese strings.
Handles all the popular encodings JIS, SJIS, UTF-8, ISO-2022-JP, and EUC-JP for
encoding conversion.  WARNING: conversion from SJIS to any other character set does not work, although converting to SJIS seems to work.  Much of this library still needs to be thoroughly tested.  Mail patches to tsukada@fminn.nagano.nagano.jp.  See /usr/doc/php4_jstring-0.9.0/README.ja for a full list of functions 
provided by this extension.  It's in Japanese, you are warned.

Use $encoding = jstr_detect_encoding($string) to figure out what encoding a string is currently in.  Use $new_string = jstr_convert_encoding($string, $new_encoding[, $old_encoding]) to change the encoding of a string.  If you don't specify $old_encoding, jstring will try to figure that out automatically.

%prep
%setup -n jstring

%build
phpize
./configure --enable-jstring
make

%install
mkdir -p %{_tmppath}/%{name}-root/usr/lib/apache/php/
cp modules/jstring.so %{_tmppath}/%{name}-root/usr/lib/apache/php/.

%post
if [ x`grep -e "^extension=jstring.so" /etc/httpd/php.ini` = x'' ]; then
	echo "extension=jstring.so" >> /etc/httpd/php.ini
fi
if [ x`grep -e "^extension=jstring.so" /etc/admserv/php.ini` = x'' ]; then
	echo "extension=jstring.so" >> /etc/admserv/php.ini
fi

%files
%defattr(-,root,root)
%doc README.ja
/usr/lib/apache/php/jstring.so

%changelog
* Thu Apr 26 2001 Patrick Baltz <patrick.baltz@sun.com> 0.9.0-3
- bleh, new php version means recompile all php modules

* Thu Apr 04 2001 Patrick Baltz <patrick.baltz@sun.com> 0.9.0-2
- bleh, new php version means recompile all php modules

* Mon Feb 12 2001 Patrick Baltz <patrick.baltz@sun.com>
- initial rpm for the php4 jstring library 
